Subject: bug#61748: 27.2; Eglot should use shell-file-name when launching the language server for a remote file

From: João Távora <[email-masked]>
Date: Mon, 27 Feb 2023 11:07:32 +0000

Hello,

I'm Eglot maintainer and, as of very recently, in analyzing bug#61350,
also an Eglot-over-Tramp user.  So I can now reproduce this bug.

I have the `jdtls` script installed in `~/bin/jdtls` of my remote host user's
HOME, and I too suffer from this bug.  On the local host, I use
zsh and shell-file-name is "/bin/zsh", although in Tramp-accessed
buffers it is "/bin/sh".

Bizarrely, this only happens sometimes.  When it works, it works perfectly
and, as expected, the remote PATH of the remote host user is consulted.

João